Package Details: litecoin-daemon 0.14.2-3

Git Clone URL: https://aur.archlinux.org/litecoin-daemon.git (read-only)
Package Base: litecoin-daemon
Description: Peer-to-peer digital currency, official binary release (includes litecoind and litecoin-cli)
Upstream URL: https://github.com/litecoin-project/litecoin
Licenses: MIT
Conflicts: litecoin-bin
Submitter: Flink
Maintainer: ricjac
Last Packager: ricjac
Votes: 8
Popularity: 0.079030
First Submitted: 2013-03-22 17:36
Last Updated: 2017-12-15 04:25

Latest Comments

ricjac commented on 2018-03-18 11:03

The goal of this AUR package is to remain in-sync with the "Latest Release" tag on the Github releases page: https://github.com/litecoin-project/litecoin/releases

So this AUR package will be updated when Litecoin v0.15.0.1rc1 is out of "Release candidate".

I receive notifications from the Github Litecoin project, so this AUR should be updated within a day or two of the next release.

ricjac commented on 2017-12-15 04:27

Hi,

I've taken over as maintainer for this AUR.

I've based this off https://aur.archlinux.org/packages/litecoin-bin/ except this is for headless servers (No Litecoin-QT dependencies).

I've created a tutorial on how to setup and secure a Litecoin full node on TestNet4 here: https://ricjac.github.io/cryptocurrency/ltc-testnet/

Flink commented on 2015-11-16 11:13

Updated with the patch for UPnP :)

acerix commented on 2015-10-12 16:20

It needs a patch to compile with miniupnpc 1.9

https://github.com/litecoin-project/litecoin/issues/221

Assuming you don't need UPNP though, you can add "--without-miniupnpc" to the ./configure line.

I suggest that UPNP support be removed from this package, as I just did on dogecoin-daemon

https://aur.archlinux.org/packages/dogecoin-daemon/

Not just to fix the compile error, auto port forwarding is not really The Arch Way.

sp1d3rmxn commented on 2015-10-04 03:25

This doesn't build at all with the boost 1.58 libs... Also getting weird issue with miniupnp causing it not to compile.

Any suggestions? Would like to get my wallet back online with Arch and not ubuntu.

Flink commented on 2015-04-30 17:25

@acerix Just updated the package with your input, thank you!

acerix commented on 2015-04-28 16:03

Please update for the new boost. I was able to build it after adding this new flag BOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT from bitcoin-daemon

https://projects.archlinux.org/svntogit/community.git/commit/trunk?h=packages/bitcoin&id=cc330cca3415f7eebc64d760fce293da89ed5d75

Thanks!

Flink commented on 2013-07-22 17:47

@veox Done! :)

veox commented on 2013-07-21 10:36

Please bump pkgrel to 2, boost libraries have been updated upstream.

Flink commented on 2013-04-07 20:44

Thank you! I just added you file to a new revision of the package. Added you to the list of contributors too :)

All comments